Package com.sun.jna.ptr

# Class ByteByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.ptr.ByteByReference

All Implemented Interfaces:
  `NativeMapped`

public class ByteByReference extends ByReference

## Constructor Summary

Constructors
Constructor
Description
`ByteByReference()`
`ByteByReference(byte value)`

## Method Summary

Modifier and Type
Method
Description
`byte`
`getValue()`
`void`
`setValue(byte value)`
`String`
`toString()`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ByteByReference

public ByteByReference()

### ByteByReference

public ByteByReference(byte value)

## Method Details

### setValue

public void setValue(byte value)

### getValue

public byte getValue()

### toString

public String toString()

Overrides:
  `toString` in class `ByReference`